# Taktile CLI

[![pypi status](https://img.shields.io/pypi/v/taktile-cli.svg)](https://pypi.python.org/pypi/taktile-cli)
[![black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://www.apache.org/licenses/LICENSE-2.0)

Taktile enables data science teams to industrialize, scale, and maintain machine learning models. Our ML development platform makes it easy to create your own end-to-end ML applications:

- Turn models into auto-scaling APIs in a few lines of code
- Easily add model tests
- Create and share model explanations through the Taktile UI

`taktile-cli` contains all components required for deploying ML models on the Taktile platform as well as a CLI tool for managing your deployments from your terminal. Find more information in our [docs](https://docs.taktile.com).

If you only require the Taktile python client, consider installing the [stand-alone client](https://pypi.org/project/taktile-client/) instead.

## Setting up Taktile CLI

To get started, install Taktile CLI using `pip`:

```python
pip install -U taktile-cli
```

To check your Taktile CLI version run:

```python
tktl version
```
